---
title: Get workspace detail information
slug: get-workspace-detail-information
docTags: 
createdAt: 2026-10-08T08:29:29.588Z
---

{
  "id": "NLBrk_vJZAml0kVTH4WH2",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://dev1.frontu.com//client/api/v2/workspaces/details",
    "servers": [
      {
        "url": "https://dev1.frontu.com//client/api/v2/workspaces/details"
      }
    ],
    "name": "Get workspace detail information",
    "description": "This endpoint allows to retrieve all detailed information about one specific workspace and query params are used to retreive the one specific client. \n",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "Example",
            "Example with custom values"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "guid",
          "type": "string",
          "description": "GUID format entity identifier generated by Frontu."
        },
        {
          "kind": "optional",
          "name": "systemId",
          "type": "string",
          "description": "Entity identifier from external system."
        },
        {
          "kind": "optional",
          "name": "title",
          "type": "string",
          "description": "Title."
        },
        {
          "kind": "optional",
          "name": "serialNumber",
          "type": "string",
          "description": "Serial number."
        },
        {
          "kind": "optional",
          "name": "objectCode",
          "type": "string",
          "description": "Object code."
        },
        {
          "kind": "optional",
          "name": "tag",
          "type": "string",
          "description": "<p>Tag systemId, guid or title.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Value: Bearer {access_token}</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Returned when successful",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "version",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "title",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "serialNumber",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "longitude",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "latitude",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "note",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "address",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "city",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "apartmentNumber",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "signatureCode",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "objectCode",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "client",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "guid",
                "kind": "optional",
                "type": "string",
                "description": "Unique"
              },
              {
                "name": "created",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "updated",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "deleted",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "systemId",
                "kind": "optional",
                "type": "string",
                "description": "Unique"
              },
              {
                "name": "warrantyIndicator",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "warrantyRequired",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "warrantyStartDate",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "warrantyEndDate",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "extendedWarrantyEndDate",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "warrantyIndicatorLimit",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "extendedWarrantyIndicatorLimit",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "sendMaintenanceNotification",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "hoursNotificationSentAt",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "firstMaintenanceHours",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "secondMaintenanceHours",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "intervalMaintenanceHours",
                "kind": "optional",
                "type": "integer",
                "description": ""
              },
              {
                "name": "office",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "region",
                "kind": "optional",
                "type": "string",
                "description": ""
              },
              {
                "name": "tags",
                "kind": "optional",
                "type": "array",
                "description": "Tag titles assigned to the record.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "customValues",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "guid",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "value",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  }
                ]
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "Entity not found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "CKkZftaICEubjd5hy4efo",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://dev1.frontu.com//client/api/v2/workspaces/details \\\n     --header 'accept: application/json'"
        },
        {
          "id": "uVhJ5xrgNNhv_7sQL2qa3",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://dev1.frontu.com//client/api/v2/workspaces/details\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "mUhh3hWZIgXUcc6SKCIsZ",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://dev1.frontu.com//client/api/v2/workspaces/details\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "AJtNqXid2aS2bk_7V0Zcn",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://dev1.frontu.com//client/api/v2/workspaces/details\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "CKkZftaICEubjd5hy4efo"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Returned when successful\n{\n  \"version\": 0,\n  \"title\": \"\",\n  \"serialNumber\": \"\",\n  \"longitude\": \"\",\n  \"latitude\": \"\",\n  \"note\": \"\",\n  \"address\": \"\",\n  \"city\": \"\",\n  \"apartmentNumber\": false,\n  \"signatureCode\": \"\",\n  \"objectCode\": \"\",\n  \"client\": \"\",\n  \"guid\": \"\",\n  \"created\": \"\",\n  \"updated\": \"\",\n  \"deleted\": false,\n  \"systemId\": \"\",\n  \"warrantyIndicator\": 0,\n  \"warrantyRequired\": false,\n  \"warrantyStartDate\": \"\",\n  \"warrantyEndDate\": \"\",\n  \"extendedWarrantyEndDate\": \"\",\n  \"warrantyIndicatorLimit\": 0,\n  \"extendedWarrantyIndicatorLimit\": 0,\n  \"sendMaintenanceNotification\": false,\n  \"hoursNotificationSentAt\": \"\",\n  \"firstMaintenanceHours\": 0,\n  \"secondMaintenanceHours\": 0,\n  \"intervalMaintenanceHours\": 0,\n  \"office\": \"\",\n  \"region\": \"\",\n  \"tags\": [\n    \"\"\n  ],\n  \"customValues\": [\n    {\n      \"guid\": \"\",\n      \"value\": \"\"\n    }\n  ]\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// Entity not found\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}